Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface CompositeFeatureModelFacet

All Superinterfaces:
  EObject, ModelFacet, Notifier

All Known Subinterfaces:
  CompositeFeatureLabelModelFacet

All Known Implementing Classes:
  CompositeFeatureLabelModelFacetImpl, CompositeFeatureModelFacetImpl

public interface CompositeFeatureModelFacet
extends ModelFacet

A representation of the model object 'Composite Feature Model Facet'. Model facet of a number of EStructuralFeatures

The following features are supported:

- `Meta Features`

See Also:
  `GMFGenPackage.getCompositeFeatureModelFacet()`
** Generated **
Model:

Method Summary
`EList` `getMetaFeatures()` Returns the value of the 'Meta Features' reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMetaFeatures

    public EList getMetaFeatures()

  Returns the value of the 'Meta Features' reference list. The list contents are of type `GenFeature`.

  If the meaning of the 'Meta Features' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Meta Features' reference list.
  See Also:
    `GMFGenPackage.getCompositeFeatureModelFacet_MetaFeatures()`
  ** Generated **
  Model:
    type="org.eclipse.emf.codegen.ecore.genmodel.GenFeature" lower="2"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.